- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- LogTypeView
Full name: projects.locations.instances.logTypes.list
Lists all LogTypes.
HTTP request
GET https://{endpoint}/v1/{parent}/logTypes
Where {endpoint} is one of the supported service endpoints.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent, which owns this collection of log types. Format: projects/{project}/locations/{location}/instances/{instance} |
Query parameters
| Parameters | |
|---|---|
pageSize |
The maximum number of log types to return. The service may return fewer than this value. |
pageToken |
A page token, received from a previous When paginating, all other parameters provided to |
filter |
Optional. A filter which should follow the guidelines of AIP-160 |
orderBy |
Optional. The sorting order for the list of log types. The only field supported for sorting is |
view |
Optional. The view of the LogType to be returned. |
Request body
The request body must be empty.
Response body
Response message for listing log types.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"logTypes": [
{
object ( |
| Fields | |
|---|---|
logTypes[] |
The log types from the specified chronicle instance. |
nextPageToken |
A token, which can be sent as |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/chronicle
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
chronicle.logTypes.list
For more information, see the IAM documentation.
LogTypeView
View of a LogType. Values may be added to this enum in the future.
| Enums | |
|---|---|
LOG_TYPE_VIEW_UNSPECIFIED |
Unspecified log type view. Default is LOG_TYPE_VIEW_FULL to maintain backward compatibility. |
LOG_TYPE_VIEW_BASIC |
Basic view, which drops the expensive feedCount aggregation. Note: When LOG_TYPE_VIEW_BASIC is requested, feedCount will be unpopulated and default to 0 in the response instead of reflecting the actual feed count. |
LOG_TYPE_VIEW_FULL |
Full view, which includes all fields. |